<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page import="java.util.List" %>
<%@ page import="ru.akarpov.web2.Result" %>
<%@ page import="ru.akarpov.web2.ResultBean" %>
<%@ page import="com.google.gson.Gson" %>
<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <title>Лабораторная работа №2</title>
    <link rel="stylesheet" href="<%= request.getContextPath() %>/styles.css">
</head>
<body>
<header class="header">
    <h1>Лабораторная работа №2</h1>
    <p>ФИО студента: Карпов Александр Дмитриевич</p>
    <p>Группа: P3213</p>
    <p>Вариант: 544</p>
</header>

<div class="container">
    <div class="form-container">
        <canvas id="canvas" width="300" height="300"></canvas>
        <form id="point-form" action="<%= request.getContextPath() %>/controller" method="get">
            <table>
                <tr>
                    <td><label>X:</label></td>
                    <td>
                        <% for (int i = -4; i <= 4; i++) { %>
                        <label>
                            <input type="checkbox" name="x" value="<%= i %>"><%= i %>
                        </label>
                        <% } %>
                    </td>
                </tr>
                <tr>
                    <td><label for="y">Y:</label></td>
                    <td><input type="text" id="y" name="y" required></td>
                </tr>
                <tr>
                    <td><label for="r">R:</label></td>
                    <td><input type="text" id="r" name="r" required></td>
                </tr>
                <tr>
                    <td colspan="2"><input type="button" value="Check" onclick="submitForm()"></td>
                </tr>
            </table>
        </form>
        <button id="clear-button">Очистить все</button>
    </div>

    <div class="result-container">
        <h2>Results</h2>
        <table id="results">
            <tr>
                <th>X</th>
                <th>Y</th>
                <th>R</th>
                <th>Result</th>
                <th>Timestamp</th>
                <th>Execution Time (ms)</th>
            </tr>
            <%
                ResultBean resultBean = (ResultBean) session.getAttribute("resultBean");
                List<Result> results = null;
                if (resultBean != null) {
                    results = resultBean.getResults();
                    if (results != null && !results.isEmpty()) {
                        for (Result res : results) {
            %>
            <tr>
                <td><%= res.getX() %></td>
                <td><%= res.getY() %></td>
                <td><%= res.getR() %></td>
                <td><%= res.isHit() ? "Попадание" : "Промах" %></td>
                <td><%= res.getCurrentTime() %></td>
                <td><%= res.getExecutionTime() %></td>
            </tr>
            <%
                        }
                    }
                }
            %>
        </table>
    </div>
</div>

<script>
    const results = <%
        ResultBean resultBeanJson = (ResultBean) session.getAttribute("resultBean");
        if (resultBeanJson != null && resultBeanJson.getResults() != null) {
            out.print(new Gson().toJson(resultBeanJson.getResults()));
        } else {
            out.print("[]");
        }
    %>;
</script>
<script>
    const contextPath = '<%= request.getContextPath() %>';
</script>
<script src="<%= request.getContextPath() %>/script.js"></script>
</body>
</html>
